x020046_g_scriptId = 020046

x020046_g_PosX = 64.85
x020046_g_PosZ = 68.66
x020046_g_FaceDir = -1.57   

--死亡回调
function x020046_OnObjDie(scene, objId, rolebaseId, killerId)
	local boss = GetCopyScenePersonBossRoleBaseId(scene)
	if boss == rolebaseId then
		
		SetCopySceneSuccess(scene)
	end
end

--副本Tick
function x020046_OnCopySceneTick(scene,tickCount)
	if tickCount == 0 then
		local rolebaseId = GetCopyScenePersonBossRoleBaseId(scene)
		if rolebaseId < 0 then
			SetCopySceneSuccess(scene)
		end

		CreateMonster(scene, rolebaseId, x020046_g_FaceDir, x020046_g_PosX, x020046_g_PosZ)
	end
end